Subject: bug#18236: diff-apply-hunk interacts poorly with line endings

From: Reuben Thomas <[email-masked]>
Date: Sat, 20 Feb 2016 12:32:03 +0000

On 20 February 2016 at 12:16, Eli Zaretskii <[email-masked]> wrote:

>
> The most we can do is display a warning and ask for confirmation when
> the values of buffer-file-coding-system differ between the patch
> file's buffer and the buffer of file to be patched.  Will that be
> sufficient?
>

Thanks for your analysis. ​This solution sounds fine to me: ​as you say, in
general it's impossible to tell exactly what went wrong, but we can warn
the user so that the unfortunate result I described is not obtained
silently.

-- 
http://rrt.sc3d.org